## sxid 3.2.1

=== debian/changelog ===
sxid (3.2.1) unstable; urgency=low

  * Added debian/conffile (forgot to cvs add)

 -- Ben Collins <bcollins@debian.org>  Sun, 21 Mar 1999 19:49:24 -0500

sxid (3.2.0) unstable; urgency=low

  * Initial Debianization.

 -- Ben Collins <bcollins@debian.org>  Sat,  6 Mar 1999 14:48:18 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "bcollins@debian.org"
End:

## sxid 3.2.2

=== debian/changelog ===
sxid (3.2.2) unstable; urgency=low

  * Fixed version number this time
  * Fixed spelling errors in sxid(1) manpage
  * Fixed my CVS make script to include configure in the tarball

 -- Ben Collins <bcollins@debian.org>  Mon, 22 Mar 1999 10:51:44 -0500

## sxid 3.2.3

=== Makefile ===
# sxid - suid, sgid file and directory checking
#
# Copyright (C) 1999 Ben Collins <bcollins@debian.org>
#
# This is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with sxid; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307  USA

all: configure source/Makefile
	cd source && $(MAKE) all

clean:
	-cd source && $(MAKE) clean

deb:
	debian/rules binary-arch

distclean: clean
	-rm -f config.log config.status source/Makefile include/config.h \
		config.cache docs/sxid.1 docs/sxid.conf.5 `find . -name core`

install: all
	cd source && $(MAKE) install DESTDIR=$(DESTDIR)

uninstall: source/Makefile
	cd source && $(MAKE) uninstall DESTDIR=$(DESTDIR)

source/Makefile: source/Makefile.in include/config.h.in docs/sxid.1.in docs/sxid.conf.5.in
	@./configure --prefix=/usr --sysconfdir=/etc

configure: configure.in
	autoconf

=== debian/changelog ===
sxid (3.2.3) unstable; urgency=low

  * Added missing options to sxid(1) manpage header
  * Made the cron.example show full path instead of just binary name
  * Changed EMAIL to in sxid.conf.example to default to 'root' instead
    root@localhost
  * Implemented the IGNORE_DIR option which allows you to log only file
    entries (and not directories) under specified paths (like if /home is
    sgid). IGNORE_DIRS defaults to /home.
  * Cleaned up some functions in search.c

 -- Ben Collins <bcollins@debian.org>  Tue, 23 Mar 1999 07:28:26 -0500

=== debian/control ===
Source: sxid
Section: admin
Priority: extra
Maintainer: Ben Collins <bcollins@debian.org>
Standards-Version: 2.5.0.0

Package: sxid
Architecture: any
Depends: ${shlibs:Depends}
Description: suid, sgid file and directory checking
 This program is runs as a cronjob. Basically it tracks any changes in
 your s[ug]id files and folders. If there are any new ones, ones that
 aren't set any more, or they have changed bits or other modes then it
 reports the changes. You can also run this manually for spot checking.
 .
 It tracks s[ug]id files by md5 checksums. This helps detect if your files
 have been tampered with, would not show under normal name and permissions
 checking. Directories are tracked by inodes.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-$(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installcron
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## sxid 3.2.4

=== debian/changelog ===
sxid (3.2.4) unstable; urgency=low

  * notify.c 'Ingore' -> 'Ignore'
  * Minor code cleanups
  * Changed delimiter in log file to 0x1e so that spaces in filenames
    will remain intact. Still backward compatible with old space delimited
    log files until 4.0 is released. closes: #35572

 -- Ben Collins <bcollins@debian.org>  Tue, 30 Mar 1999 07:04:22 -0500

## sxid 3.2.5

=== debian/changelog ===
sxid (3.2.5) unstable; urgency=low

  * Added option to specify other than the default mail program,
    feature request from David Walluck <david@anti-microsoft.org>
  * Applied patch from Topi Miettinen <Topi.Miettinen@medialab.sonera.fi>
    to make use of TMPDIR if set. closes: #36542

 -- Ben Collins <bcollins@debian.org>  Fri, 16 Apr 1999 14:42:27 -0400

## sxid 4.0.3

=== debian/changelog ===
sxid (4.0.3) unstable; urgency=low

  * configure.in: Provide a default for mail_prog. Closes: #132958
  * Completely moved to using subversion for revision control now.

 -- Ben Collins <bcollins@debian.org>  Mon, 11 Feb 2002 03:01:38 -0500

sxid (4.0.2) unstable; urgency=low

  * debian/control:Depends: added mail-transport-agent
  * configure.in: removed some uneeded cruft
  * source/sxid.h: removed some more cruft
  * updated copyrights
  * Use snprintf where needed

 -- Ben Collins <bcollins@debian.org>  Mon, 21 Jan 2002 23:57:21 -0500

sxid (4.0.1) unstable; urgency=low

  * Added RPM spec file from Alexandr D. Kanevskiy <kad@blackcatlinux.com>
  * Better formatting in emails when items were longer than assumed
  * Modified configure.in slightly
  * cleaned up rules file and debian dir
  * new standards version

 -- Ben Collins <bcollins@debian.org>  Sat,  2 Oct 1999 21:57:23 -0400

sxid (4.0.0) unstable; urgency=low

  * Merged REVISIONS into debian/changelog and removed from source
  * Modifed install to use 0.0 for owner group instead of root.root
    (helps when compiling on non-linux systems)
  * Updated README w/ Tru64 support
  * Consolidated includes into one sxid.h
  * Added static to some functions
  * Removed -Wall from CFLAGS
  * Added EXTRA_LIST function to allow specifying specific files and
    directories for adding to the database (including non-s[ug]id ones)
  * Cleaned up config file parsing routines (removed extraneous routine)
  * Switched some strtok() calls to strtok_r(). Added a generic strtok_r()
    for systems that don't have it (from bits/string2.h in glibc 2.1.1).
  * Removed support for space seperators in log file
  * Removed unused acconfig.h
  * CVSROOT move of include/ files into source/

 -- Ben Collins <bcollins@debian.org>  Mon,  7 Jun 1999 16:39:44 -0400

sxid (3.1.7) unstable; urgency=low

  * Added include for limits.h to fix PATH_MAX in Solaris
  * Replaced snprintf()'s with sprintf()'s since most were not neccesary
    (known length) and the rest contained paths and could be safely guessed
    using PATH_MAX (fixes compiles on some systems)
  * Added #define for uint (needs to be in configure...)
  * Removed typedef on conf_opt struct
  * Added default define for uint
  * Added default define for PATH_MAX if not defined
  * Moved pwd.h and grp.h includes to structs.h
  * Added include for string.h to stop compile warnings on some setup's
  * Added (int) cast for mode_t which caused some compile warnings
  * Fixed malloc's for octal mode_t so they didn't assume, but calculated
    the size needed.
  * Fixed some other malloc's using a more system independent calculation
  * Fixed problem for digest and digest_hex in search_path() (Thanks to
    Peter Sulecki <psulecki@ios.krakow.pl> for finding this one)
  * Removed alot of malloc()'s in logging.c and reworked alot of the report
    functions to be a little more efficient.
  * Added checks for failed malloc()'s
  * Fixed config options init to really recognize when a config option was
    not present in the config file

 -- Ben Collins <bcollins@debian.org>  Mon,  8 Feb 1999 00:00:00 -0500

sxid (3.1.0) unstable; urgency=low

  * Removed some malloc()'s in favor of strdup()'s
  * Added LISTALL option in config file
  * Added --nomail option for sending output to stdout
  * Made it so the forbidden and no user/group match did not rotate log
    file
  * Made sxid.1's reference to /etc/sxid.conf depend on output from
    configure
  * Completed man pages for sxid and sxid.conf, also updated README
  * Put define for CONF_FILE into config.h as opposed to Makefile

 -- Ben Collins <bcollins@debian.org>  Mon,  1 Feb 1999 00:00:00 -0500

sxid (3.0.0) unstable; urgency=low

  * Rewrote entire program in C, this included built in md5sums and find
    functions
  * Made use of sxid.conf file for dynamic settings
  * Added parameter for excluding directories
  * Setup autoconf and autoheader for easy portability
  * Reformatted email output

 -- Ben Collins <bcollins@debian.org>  Fri,  1 Jan 1999 00:00:00 -0500

sxid (2.0.1) unstable; urgency=low

  * Inluded 2 sub's that were in my perl libs but not everyone elses :)

 -- Ben Collins <bcollins@debian.org>  Fri,  2 Oct 1998 00:00:00 -0500
   

sxid (2.0.0) unstable; urgency=low

  * Converted to a perl script to allow more features
  * Added md5 checksum eval for files. Enables better tracking of file
    changes. Directories are still checked via inode.
  * Added checking for change in uid and gid of items
  * Added checking of mode changes in files (regardless of if the +s
    bits are the same). Helps to make sure the files you may have set for
    special access remain that way.
  * Added ability to designate certain directories as anti +s meaning  
    that there should be no +s files in them (/home for example). Also
    has the ability to -s those files if desired.
  * Removed a few uneeded tmp files, now only creates two
  * More readable output on emails
  * Removed ANSI_TEXT since no mail clients (that I know of) support ansi
  * Added checks for uid's and gid's that don't have a passwd or group
    entry (ie. no matching name for the number)

 -- Ben Collins <bcollins@debian.org>  Thu,  1 Oct 1998 00:00:00 -0500
   

sxid (1.2.0) unstable; urgency=low

  * Switched to using a bash shell to incorporate $RANDOM (some
    standard sh's don't have this)
  * Added test before writing tmp files to avoid clobbering links, so
    a world writable tmp (such as /tmp) can be used with out worry
  * Added alot of comments for each section of code ;)

 -- Ben Collins <bcollins@debian.org>  Wed,  1 Jul 1998 00:00:00 -0500
   

sxid (1.1.0) unstable; urgency=low

  * Initial release

 -- Ben Collins <bcollins@debian.org>  Wed, 17 Jun 1998 00:00:00 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "bcollins@debian.org"
End:

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: extra
 Maintainer: Ben Collins <bcollins@debian.org>
-Standards-Version: 2.5.0.0
+Standards-Version: 3.2.0.0
 
 Package: sxid
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, mail-transport-agent
 Description: suid, sgid file and directory checking
  This program is runs as a cronjob. Basically it tracks any changes in
  your s[ug]id files and folders. If there are any new ones, ones that

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS := -O2
IE := install -m755 -s

# Some special build options
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
  ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    IE := install -m755
  endif
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-$(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp INSTALL_PROGRAM="$(IE)" \
		mandir=/usr/share/man
	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installcron
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## sxid 4.0.5

=== debian/changelog ===
sxid (4.0.5) unstable; urgency=low

  * Work around for timestamp skew. Closes: #204979

 -- Ben Collins <bcollins@debian.org>  Fri,  6 Feb 2004 10:12:46 -0500

sxid (4.0.4) unstable; urgency=low

  * Added build-depends: Closes: #190533
  * User user:group syntax instead of user.group: Closes: #204938

 -- Ben Collins <bcollins@debian.org>  Mon, 11 Aug 2003 11:36:16 -0400

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: Ben Collins <bcollins@debian.org>
 Standards-Version: 3.2.0.0
+Build-Depends: debhelper
 
 Package: sxid
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
+	touch configure.in && touch aclocal.m4 && touch configure
 	$(MAKE) CFLAGS="$(CFLAGS)"
 	touch build-stamp

## sxid 4.0.5ubuntu1

=== debian/changelog ===
sxid (4.0.5ubuntu1) hardy; urgency=low

  * source/Makefile.in: fix bashism which caused FTBFS
  * debian/control:
    - Let sxid recommends mailx | mailutils
    - Update Maintainer field as per spec

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 24 Nov 2007 18:25:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: sxid
 Section: admin
 Priority: extra
-Maintainer: Ben Collins <bcollins@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Collins <bcollins@debian.org>
 Standards-Version: 3.2.0.0
 Build-Depends: debhelper
 
 Package: sxid
 Architecture: any
 Depends: ${shlibs:Depends}, mail-transport-agent
+Recommends: mailx | mailutils
 Description: suid, sgid file and directory checking
  This program is runs as a cronjob. Basically it tracks any changes in
  your s[ug]id files and folders. If there are any new ones, ones that

## sxid 4.0.5-0.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # sxid - suid, sgid file and directory checking
 #
-# Copyright (C) 1999 Ben Collins <bcollins@debian.org>
+# Copyright (C) 1999, 2000, 2002 Ben Collins <bcollins@debian.org>
 #
 # This is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as
@@ -27,16 +27,19 @@
 	debian/rules binary-arch
 
 distclean: clean
-	-rm -f config.log config.status source/Makefile include/config.h \
-		config.cache docs/sxid.1 docs/sxid.conf.5 `find . -name core`
+	-rm -f config.log config.status source/Makefile config.cache \
+		source/config.h docs/sxid.1 docs/sxid.conf.5 `find . -name core`
+
+cvsclean: distclean
+	-rm -f configure
 
 install: all
 	cd source && $(MAKE) install DESTDIR=$(DESTDIR)
 
-uninstall: source/Makefile
-	cd source && $(MAKE) uninstall DESTDIR=$(DESTDIR)
+source/Makefile: source/Makefile.in source/config.h.in docs/sxid.1.in docs/sxid.conf.5.in config.status
+	@./config.status
 
-source/Makefile: source/Makefile.in include/config.h.in docs/sxid.1.in docs/sxid.conf.5.in
+config.status:
 	@./configure --prefix=/usr --sysconfdir=/etc
 
 configure: configure.in

=== debian/changelog ===
sxid (4.0.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashisms in source/Makefile.in, using patch from Ubuntu.
    Closes: #379575.
  * Fixed typos in description. Closes: #438710.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 19 Jan 2008 17:27:31 +0100

=== debian/control ===
Source: sxid
Section: admin
Priority: extra
Maintainer: Ben Collins <bcollins@debian.org>
Standards-Version: 3.2.0.0
Build-Depends: debhelper

Package: sxid
Architecture: any
Depends: ${shlibs:Depends}, mail-transport-agent
Description: suid, sgid file and directory checking
 This program runs as a cronjob. Basically it tracks any changes in
 your s[ug]id files and folders. If there are any new ones, ones that
 aren't set any more, or they have changed bits or other modes, then it
 reports the changes. You can also run this manually for spot checking.
 .
 It tracks s[ug]id files by md5 checksums. This helps detect if your files
 have been tampered with, would not show under normal name and permissions
 checking. Directories are tracked by inodes.

## sxid 4.2

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 #
 # You should have received a copy of the GNU General Public
 # License along with sxid; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# 02111-1307  USA
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA.
 
 all: configure source/Makefile
 	cd source && $(MAKE) all

## sxid 4.20130802

=== debian/changelog ===
sxid (4.20130802-7) unstable; urgency=medium

  * New Maintainer. (Closes: #879873)
  * d/control:
    - Bumped Standards-Version to 4.6.1.
    - Updated Maintainer field with my name and email.
  * d/copyright:
    - Include name new maintainer.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 06 Jun 2022 20:34:18 -0300

sxid (4.20130802-6) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/copyright: changed my email in packaging block.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 16 Aug 2021 11:44:57 -0300

sxid (4.20130802-5) experimental; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.5.1.
      - Updated Homepage field in source stanza to use a secure URI.
  * debian/copyright: added myself to packaging block.
  * debian/patches/010_fix-typo-manpage.patch: patch forwarded upstream, so the
    Forwarded field was included with the relevant url.
  * debian/rules: clean up.
  * debian/watch: updated to use a secure URI.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Wed, 17 Mar 2021 08:43:11 -0300

sxid (4.20130802-4) unstable; urgency=medium

  * QA upload.
  * debian/control: changed the Vcs-* fields to Salsa.
  * debian/salsa-ci.yml: created to provide CI tests in Salsa.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Tue, 23 Jun 2020 00:23:33 -0300

sxid (4.20130802-3) unstable; urgency=medium

  * QA upload.
  * Ran wrap-and-sort.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Changed Depends from exim4 to default-mta. (Closes: #960812)
  * debian/copyright:
      - Updated license text to include FSF website address.
      - Updated upstream and packaging copyright years.
      - Using a secure URI in Format field.
  * debian/examples: created to install examples provided by the upstream.
  * debian/patches/010_fix-typo-manpage.patch: created.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS variable to improve hardening.
  * debian/tests/control: added superficial to the Restrictions field.
  * debian/upstream/metadata: created.
  * debian/watch: bumped version to 4.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Mon, 01 Jun 2020 23:22:21 -0300

sxid (4.20130802-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #879873)
  * Using new DH level format. Therefore:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * debian/control:
    - Bumped Standards-Version to 4.5.0.
    - Changed Priority from 'extra' to 'optional'.
  * debian/tests/control: created to perform a trivial CI test.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Fri, 15 May 2020 09:24:31 -0300

sxid (4.20130802-1) unstable; urgency=low

  * New upstream release:
    - please read NEWS.Debian for changes in the upstream.
  * debian/changelog: fix lintian warning 'debian-changelog-line-too-long'.
  * debian/compat: bump debhelper version to 9.
  * debian/control:
    - bump standards version to 3.9.4.
    - update Vcs-* fields.
    - add ${misc:Depends}.
    - update extended description.
  * debian/copyright:
    - follow DEP5.
    - add copyright for files src/{getopt.c,getopt1.c,getopt.h,sha2.c,sha2.h}.
  * debian/cron.daily, debian/sxid.default:
    - run sXid if $ENABLE equals to "yes".
  * debian/docs, debian/install, debian/manpages, debian/rules:
    - use debhelper command sequencer.
  * /debian/source/format: bump package source version to '3.0 (quilt)'.
  * debian/source/options: use xz compression for debian tarball.

 -- Timur Birsh <taem@linukz.org>  Fri, 02 Aug 2013 16:28:34 +0600

sxid (4.2-1) unstable; urgency=low

  * New upstream release:
    - New maintainer.
    - New homepage http://linukz.org/sxid.shtml.
    - Fixed Debian bug#412853 'sxid reports many false positive
      md5sums changes'. Closes: #412853.
    - Fixed various resource leaks.
  * debian/control:
    - Bump Standards-Version to 3.8.3:
      - Always provide debug symbols. Closes: #438079.
      - Respect 'noopt' build flag.
    - Add version to debhelper builddep.
    - Add Homepage field.
    - Add Vcs-Git and Vcs-Browser fields.
    - In Depends replace 'mail-transport-agent' with
      'exim4 | mail-transport-agent'. Closes: #495837.
    - Add me as maintainer.
  * debian/rules:
    - Replace dh_clean -k with dh_prep.
    - Fix DESTDIR.
    - Install upstream NEWS file as changelog.
    - Call 'make distclean' in clean target.
  * debian/copyright:
    - Mention current Debian maintainer.
    - Add Debian packaging copyright.
    - Add me to upstream copyright.
    - Update FSF address.
    - Replace (c) with ©.
    - Mention Author.
    - Add download location.
  * debian/compat: Set compatibility level to 7.
  * Add debian/watch.
  * New maintainer. Closes: #540896 (ITA).

 -- Timur Birsh <taem@linukz.org>  Mon, 14 Sep 2009 21:20:21 +0600

=== debian/control ===
Source: sxid
Section: admin
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Homepage: https://linukz.org/sxid.shtml
Vcs-Git: https://salsa.debian.org/debian/sxid.git
Vcs-Browser: https://salsa.debian.org/debian/sxid

Package: sxid
Architecture: any
Depends: default-mta | mail-transport-agent, ${misc:Depends}, ${shlibs:Depends}
Description: suid, sgid file and directory checking
 This program runs as a cronjob. Basically it tracks any changes in
 your s[ug]id files and folders. If there are any new ones, ones that
 aren't set any more, or they have changed bits or other modes, then it
 reports the changes. You can also run this manually for spot checking.
 .
 It tracks s[ug]id files by SHA-256 checksums. This helps detect if your files
 have been tampered with, would not show under normal name and permissions
 checking. Directories are tracked by inodes.

=== debian/tests/control ===
Test-Command: sxid --version
Restrictions: superficial

=== debian/watch ===
version=4
https://linukz.org/sxid.shtml /download/sxid-(.*)\.tar\.gz
